package mvd.jester.tests;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import mvd.jester.model.SystemSetup;
import mvd.jester.model.Task;

/**
 * AbstractTest
 */
public abstract class AbstractTest implements TestInterface {

    protected final Map<Task, Long> responseTimes;
    protected final SystemSetup systemSetup;
    protected Set<Task> tasks;

    public AbstractTest(SystemSetup systemSetup) {
        this.systemSetup = systemSetup;
        this.responseTimes = new HashMap<Task, Long>();
        this.tasks = systemSetup.getTasks();
    }
}
